/**
 * Copyright 2006 (C) Bernd Bruegge, Timo Wolf - TU Muenchen
 * http://wwwbruegge.in.tum.de/Asteroids
 * 
 * This file is part of the Asteroids Teaching Design Pattern Project.
 * 
 * Asteroids is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * Asteroids is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Asteroids; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package de.tum.in.wwwbruegge.asteroids.solidbodies;

import java.awt.Point;

/**
 * @author Timo Wolf
 */
public class BigAsteroid extends Astroid {

	private static int ROTATION_ANGLE = 10;

	public BigAsteroid(Point position, int direction) {
		super(position, direction);
	}

	public int getMaximumSpeed() {
		return 300;
	}

	public void updatePosition(int max_x, int max_y) {
		super.updatePosition(max_x, max_y);
		double random = Math.random() * 10;
		if (random <= 2) {
			random = Math.random() * 10;
			if (random <= 5) {
				turnLeft();
			} else {
				turnRight();
			}
		}
	}

	private void turnRight() {
		int tmp = getDirection() + ROTATION_ANGLE;
		if (tmp > 360) {
			setDirection(ROTATION_ANGLE);
		} else {
			setDirection(tmp);
		}
	}

	private void turnLeft() {
		int tmp = getDirection() - ROTATION_ANGLE;
		if (tmp < 0) {
			setDirection(360 - ROTATION_ANGLE);
		} else {
			setDirection(tmp);
		}
	}
}
