/**
 * Copyright 2006 (C) Bernd Bruegge, Timo Wolf - TU Muenchen
 * http://wwwbruegge.in.tum.de/Asteroids
 * 
 * This file is part of the Asteroids Teaching Design Pattern Project.
 * 
 * Asteroids is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * Asteroids is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Asteroids; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package de.tum.in.wwwbruegge.asteroids.ui.instruments;

import java.awt.BorderLayout;
import java.awt.Point;

import javax.swing.JLabel;

import de.tum.in.wwwbruegge.asteroids.solidbodies.SpaceShuttle;

/**
 * @author Timo Wolf
 */
public class GPS extends Instrument {
	private JLabel positionLabel = new JLabel("", JLabel.CENTER);

	public GPS(SpaceShuttle spaceshuttle) {
		super(spaceshuttle);
		setLayout(new BorderLayout());
		add(positionLabel, BorderLayout.CENTER);
		positionLabel.setText(getPositionText(spaceshuttle.getPosition()));
	}

	public void update() {
		String newText = getPositionText(spaceshuttle.getPosition());
		if (!newText.equals(positionLabel.getText())) {
			positionLabel.setText(newText);
		}
	}

	private String getPositionText(Point position) {
		String x, y;
		if (position.x < 10) {
			x = "000" + position.x;
		} else if (position.x < 100) {
			x = "00" + position.x;
		} else if (position.x < 1000) {
			x = "0" + position.x;
		} else {
			x = "" + position.x;
		}

		if (position.y < 10) {
			y = "000" + position.y;
		} else if (position.y < 100) {
			y = "00" + position.y;
		} else if (position.y < 1000) {
			y = "0" + position.y;
		} else {
			y = "" + position.y;
		}

		return "GPS Coords: " + x + " | " + y;
	}
}
