/**
 * Copyright 2006 (C) Bernd Bruegge, Timo Wolf - TU Muenchen
 * http://wwwbruegge.in.tum.de/Asteroids
 * 
 * This file is part of the Asteroids Teaching Design Pattern Project.
 * 
 * Asteroids is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * Asteroids is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Asteroids; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package de.tum.in.wwwbruegge.asteroids.ui.instruments;

import javax.swing.JPanel;

import de.tum.in.wwwbruegge.asteroids.solidbodies.SpaceShuttle;
import de.tum.in.wwwbruegge.asteroids.solidbodies.SpaceShuttleSubscriber;

/**
 * @author Timo Wolf
 */
public abstract class Instrument extends JPanel implements
		SpaceShuttleSubscriber {

	protected SpaceShuttle spaceshuttle;

	public Instrument(SpaceShuttle spaceshuttle) {
		this.spaceshuttle = spaceshuttle;
	}

	public abstract void update();
}
